Bug 1879584 - version SHA in OLM is incorrect
Summary: version SHA in OLM is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Luke Meyer
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 14:54 UTC by David Eads
Modified: 2020-10-27 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:41:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:59 UTC

Description David Eads 2020-09-16 14:54:18 UTC
The test has since been disabled (I will re-enable it separately), but the version SHA in the OLM binary appears to be incorrect again.  See https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-serial-4.6/1306079390244802560 as an example.  It is referring to a commit that does not exist. 

This is reminiscent of https://bugzilla.redhat.com/show_bug.cgi?id=1873113

Comment 2 Luke Meyer 2020-09-16 21:23:42 UTC
I rebuilt the 1.14 golang-builder with older tooling which regressed it (returned to setting environment vars it should not). It's been rebuilt and resynced, possibly OLM itself may need a rebuild but I expect this is fixed.

Comment 3 Jian Zhang 2020-09-27 09:06:38 UTC
Cluster version is 4.6.0-0.nightly-2020-09-26-202331

[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager exec catalog-operator-55d7c54dd-588rw -- olm --version
OLM version: 0.16.1
git commit: be18debfbb25ba768921373d48aa761b951eca59

I can find the commit on the master branch:
https://github.com/operator-framework/operator-lifecycle-manager/commits/master

LGTM, verify it.

Comment 6 errata-xmlrpc 2020-10-27 16:41:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.